com.gemstone.tools

## Class GbxTool

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - com.gemstone.tools.GbxTool

- All Implemented Interfaces:
    GbjObserver, java.awt.event.ActionListener, java.awt.event.ComponentListener, java.awt.event.FocusListener, java.awt.event.MouseListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, java.util.Observer, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener, javax.swing.event.MenuListener, javax.swing.RootPaneContainer, javax.swing.WindowConstants
  Direct Known Subclasses:
    GbjBrowser, GbjInspector, GbjLauncher, GbjWorkSpace

      public class GbxTool
      extends javax.swing.JFrame
      implements java.awt.event.WindowListener, javax.swing.event.MenuListener, java.awt.event.MouseListener, java.awt.event.ActionListener, GbjObserver, java.awt.event.ComponentListener, javax.swing.event.ListSelectionListener, java.awt.event.FocusListener

  Version:
    1.3
  Author:
    vincef
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JFrame

      `EXIT_ON_CLOSE`

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbxTool()` Creates new GbxToolS

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent actionEvent)`
    `void` | `chooseClassNameMatching_dialogString_(java.lang.String sel, java.lang.String aString)`
    `void` | `chooseSelectorMatching_dialogString_(java.lang.String sel, java.lang.String aString)`
    `void` | `closeWindow()`
    `void` | `componentHidden(java.awt.event.ComponentEvent componentEvent)`
    `void` | `componentMoved(java.awt.event.ComponentEvent componentEvent)`
    `void` | `componentResized(java.awt.event.ComponentEvent componentEvent)`
    `void` | `componentShown(java.awt.event.ComponentEvent componentEvent)`
    `GbjObject` | `contextObject()`
    `GbjObject` | `doIt()`
    `GbjObject` | `doIt(boolean inspecting)`
    `GbjObject` | `doitNames()`
    `GbjObject` | `doitValues()`
    `void` | `exitApplication()`
    `void` | `fileInFile()`
    `void` | `fileInString(java.lang.String aString)`
    `void` | `fileInText()`
    `void` | `focusGained(java.awt.event.FocusEvent focusEvent)`
    `void` | `focusLost(java.awt.event.FocusEvent focusEvent)`
    `java.util.logging.Logger` | `getLogger()`
    `java.lang.String` | `getTextFromFile()`
    `int` | `getWindowID()`
    `int` | `indexOf_inList_(java.lang.Object anObject, java.lang.Object[] aList)`
    `void` | `inspectIt()`
    `void` | `menuCanceled(javax.swing.event.MenuEvent menuEvent)`
    `void` | `menuDeselected(javax.swing.event.MenuEvent menuEvent)`
    `void` | `menuSelected(javax.swing.event.MenuEvent menuEvent)`
    `void` | `mouseClicked(java.awt.event.MouseEvent mouseEvent)`
    `void` | `mouseEntered(java.awt.event.MouseEvent mouseEvent)`
    `void` | `mouseExited(java.awt.event.MouseEvent mouseEvent)`
    `void` | `mousePressed(java.awt.event.MouseEvent mouseEvent)`
    `void` | `mouseReleased(java.awt.event.MouseEvent mouseEvent)`
    `void` | `openFile()`
    `void` | `printIt()`
    `void` | `printResult(java.lang.String resultText)`
    `void` | `processError_(GbjException e)`
    `void` | `processError_message_printing_inspecting_(GbjException e, java.lang.String msg, boolean printing, boolean inspecting)`
    `void` | `resetClassOrganizer()`
    `void` | `saveFileAs()`
    `void` | `saveTextToFile(java.lang.String aString, java.lang.String aLabel, java.lang.String initialName)`
    `GbxToolsSupport` | `serverSupport()`
    `void` | `session_(GbjSession aGSSession)`
    `GbjSession` | `session()`
    `void` | `setBreak()`
    `void` | `setCursor(java.awt.Cursor newCursor)`
    `void` | `setWindowID(int id)`
    `void` | `showErrorMessage_title_(java.lang.String error, java.lang.String aTitle)`
    `void` | `update(GbjObservable obj, java.lang.String notificationMessage, java.lang.Object argument)` Determine how to handle events sent to an observed GBJ object.
    `void` | `update(java.util.Observable obj, java.lang.Object argument)`
    `void` | `updateFont(java.awt.Font font)`
    `void` | `updateListWidget_withObjects_(javax.swing.JList widget, java.lang.Object[] objects)`
    `void` | `updateLookAndFeel()`
    `void` | `updateTabSize(int size)`
    `void` | `updateWordWrap(boolean wrap)`
    `void` | `valueChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)`
    `void` | `windowActivated(java.awt.event.WindowEvent windowEvent)`
    `void` | `windowClosed(java.awt.event.WindowEvent windowEvent)`
    `void` | `windowClosing(java.awt.event.WindowEvent windowEvent)`
    `void` | `windowDeactivated(java.awt.event.WindowEvent windowEvent)`
    `void` | `windowDeiconified(java.awt.event.WindowEvent windowEvent)`
    `void` | `windowIconified(java.awt.event.WindowEvent windowEvent)`
    `void` | `windowOpened(java.awt.event.WindowEvent windowEvent)`

    - ### Methods inherited from class javax.swing.JFrame

      `getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Constructor Detail

    - #### GbxTool

          public GbxTool()

      Creates new GbxToolS

  - ### Method Detail

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified(java.awt.event.WindowEvent windowEvent)

      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### menuSelected

          public void menuSelected(javax.swing.event.MenuEvent menuEvent)

      Specified by:
        `menuSelected` in interface `javax.swing.event.MenuListener`

    - #### menuDeselected

          public void menuDeselected(javax.swing.event.MenuEvent menuEvent)

      Specified by:
        `menuDeselected` in interface `javax.swing.event.MenuListener`

    - #### menuCanceled

          public void menuCanceled(javax.swing.event.MenuEvent menuEvent)

      Specified by:
        `menuCanceled` in interface `javax.swing.event.MenuListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent actionEvent)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### update

          public void update(java.util.Observable obj,
                             java.lang.Object argument)

      Specified by:
        `update` in interface `java.util.Observer`

    - #### update

          public void update(GbjObservable obj,
                             java.lang.String notificationMessage,
                             java.lang.Object argument)

      Description copied from interface: `GbjObserver`
      Determine how to handle events sent to an observed GBJ object. These are typically GbjSession instances.

      The following are possible notificationMessages:

      - Transactional activity: "begin", "abort", "commit"
      - Object change notification: "ObjChg"
      - Gem-to-gem signalling: Other messages as coded
      Specified by:
        `update` in interface `GbjObserver`
      Parameters:
        `obj` - GbjObservable
        `notificationMessage` - String
        `argument` - Object

    - #### printIt

          public void printIt()

    - #### componentResized

          public void componentResized(java.awt.event.ComponentEvent componentEvent)

      Specified by:
        `componentResized` in interface `java.awt.event.ComponentListener`

    - #### componentShown

          public void componentShown(java.awt.event.ComponentEvent componentEvent)

      Specified by:
        `componentShown` in interface `java.awt.event.ComponentListener`

    - #### componentMoved

          public void componentMoved(java.awt.event.ComponentEvent componentEvent)

      Specified by:
        `componentMoved` in interface `java.awt.event.ComponentListener`

    - #### componentHidden

          public void componentHidden(java.awt.event.ComponentEvent componentEvent)

      Specified by:
        `componentHidden` in interface `java.awt.event.ComponentListener`

    - #### updateLookAndFeel

          public void updateLookAndFeel()

    - #### updateFont

          public void updateFont(java.awt.Font font)

    - #### updateTabSize

          public void updateTabSize(int size)

    - #### updateWordWrap

          public void updateWordWrap(boolean wrap)

    - #### closeWindow

          public void closeWindow()

    - #### inspectIt

          public void inspectIt()

    - #### doIt

          public GbjObject doIt()

    - #### doIt

          public GbjObject doIt(boolean inspecting)

    - #### printResult

          public void printResult(java.lang.String resultText)

    - #### setBreak

          public void setBreak()

    - #### fileInText

          public void fileInText()

    - #### fileInFile

          public void fileInFile()

    - #### fileInString

          public void fileInString(java.lang.String aString)

    - #### session

          public GbjSession session()

    - #### session_

          public void session_(GbjSession aGSSession)

    - #### serverSupport

          public GbxToolsSupport serverSupport()

    - #### resetClassOrganizer

          public void resetClassOrganizer()

    - #### chooseSelectorMatching_dialogString_

          public void chooseSelectorMatching_dialogString_(java.lang.String sel,
                                                           java.lang.String aString)

    - #### chooseClassNameMatching_dialogString_

          public void chooseClassNameMatching_dialogString_(java.lang.String sel,
                                                            java.lang.String aString)

    - #### doitNames

          public GbjObject doitNames()

    - #### doitValues

          public GbjObject doitValues()

    - #### contextObject

          public GbjObject contextObject()

    - #### saveFileAs

          public void saveFileAs()

    - #### saveTextToFile

          public void saveTextToFile(java.lang.String aString,
                                     java.lang.String aLabel,
                                     java.lang.String initialName)

    - #### openFile

          public void openFile()

    - #### getTextFromFile

          public java.lang.String getTextFromFile()

    - #### processError_

          public void processError_(GbjException e)

    - #### processError_message_printing_inspecting_

          public void processError_message_printing_inspecting_(GbjException e,
                                                                java.lang.String msg,
                                                                boolean printing,
                                                                boolean inspecting)

    - #### showErrorMessage_title_

          public void showErrorMessage_title_(java.lang.String error,
                                              java.lang.String aTitle)

    - #### updateListWidget_withObjects_

          public void updateListWidget_withObjects_(javax.swing.JList widget,
                                                    java.lang.Object[] objects)

    - #### indexOf_inList_

          public int indexOf_inList_(java.lang.Object anObject,
                                     java.lang.Object[] aList)

    - #### valueChanged

          public void valueChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)

      Specified by:
        `valueChanged` in interface `javax.swing.event.ListSelectionListener`

    - #### focusGained

          public void focusGained(java.awt.event.FocusEvent focusEvent)

      Specified by:
        `focusGained` in interface `java.awt.event.FocusListener`

    - #### focusLost

          public void focusLost(java.awt.event.FocusEvent focusEvent)

      Specified by:
        `focusLost` in interface `java.awt.event.FocusListener`

    - #### getLogger

          public java.util.logging.Logger getLogger()

    - #### exitApplication

          public void exitApplication()

    - #### setWindowID

          public void setWindowID(int id)

    - #### getWindowID

          public int getWindowID()

    - #### setCursor

          public void setCursor(java.awt.Cursor newCursor)

      Overrides:
        `setCursor` in class `java.awt.Window`